## imx-gst1.0-plugin 4.6.1

=== meson_options.txt ===
option('platform', type : 'array',
       choices : ['MX6', 'MX6QP', 'MX6SL', 'MX6SLL', 'MX6SX', 'MX6UL', 'MX7D', 'MX7ULP', 'MX8'], value : ['MX8'],
       description : 'build target platform')

=== tools/imx-player/Makefile ===
EXTRA_WARNINGS=-Wall -W -Wformat-nonliteral -Wcast-align -Wpointer-arith \
	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -pedantic -ansi -std=c99

CFLAGS=-ggdb $(EXTRA_WARNINGS) `pkg-config --cflags gtk+-2.0 gstreamer-1.0`
LIBS=`pkg-config --libs gtk+-2.0 gstreamer-1.0`

LIBS += -l gstvideo-1.0

SRC = imxplayer.c playengine.c controlbar.c infobox.c menubar.c \
      playlistbox.c subtitle.c volumebar.c seektodialog.c speedbox.c
      
all: player

player: 
	gcc -o imxplayer $(SRC) $(CFLAGS) $(LIBS) 

clean:
	rm imxplayer

## imx-gst1.0-plugin 4.5.5

=== debian/changelog ===
imx-gst1.0-plugin (4.5.5-1ubuntu10) focal; urgency=medium

  * Initial Boundary package
  * branch: MM_04.05.05_2005_L5.4.24
  * tag: rel_imx_5.4.24_2.1.0
  * MMFMWK-8782 vpuenc: pass video width and height into wrapper

 -- Laci Tele <laci@boundarydevices.com>  Fri, 07 Aug 2020 16:24:08 +0200

=== debian/control ===
Source: imx-gst1.0-plugin
Section: restricted/libs
Priority: optional
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), execstack, asciidoc, findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool, dh-python
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://github.com/boundarydevices


Package: imx-gst1.0-plugin
Section: multimedia
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, imx-alsa-plugins
Description: NXP gstreamer1.0 plugin library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*- -*- indent-tabs-mode: t; tab-width: 3 -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#usage: $(call message,<text>,<tabs>,<color>,<inverse>)
#message colors
COLOR_BLACK=30
COLOR_RED=31
COLOR_GREEN=32
COLOR_YELLOW=33
COLOR_BLUE=34
COLOR_MAGENTA=35
COLOR_CYAN=36
COLOR_WHITE=97
COLOR_DEFAULT=39
MSG_INVERSE=1
MSG_NONINVERSE=0

define message
	( if [ -z $(NOCOLOR) ] ; then echo -ne "\e[$(3)m" ; fi ; \
	if [ "$(4)" = "$(MSG_INVERSE)" ] ; then if [ -z $(NOCOLOR) ] ; then echo -ne "\e[7m" ; fi ; echo -n ">>>" ; fi ; \
	if [ "$(2)" -gt 0 ] && [ "$(2)" -lt 10 ] ; then for a in `seq "$(2)"` ; do echo -n "   " ; done ; fi ; \
	echo -n " $(1) " ; \
	if [ "$(4)" = "$(MSG_INVERSE)" ] ; then echo -n "<<<" ; if [ -z $(NOCOLOR) ] ; then echo -ne "\e[27m" ; fi ; fi ; \
	echo ; \
	if [ -z $(NOCOLOR) ] ; then echo -ne "\e[39m" ; fi ; \
	)
endef

##########################

DEB_HOST_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
SHELL = /bin/bash

IMX_GST1.0_PLUG := imx-gst1.0-plugin

CONFIG_OPTS = --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_GNU_TYPE) --build $(DEB_BUILD_GNU_TYPE)

GCC_VER = 9

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CONFIG_OPTS += --host $(DEB_HOST_GNU_TYPE)
else
export CC=/usr/lib/distcc/bin/gcc-$(GCC_VER)
export CXX=/usr/lib/distcc/bin/g++-$(GCC_VER)
endif


PLATFORM := MX8

IMX_GST1.0_PLUG_CONFIG_OPTS = $(CONFIG_OPTS) \
	PLATFORM=$(PLATFORM) \
	--disable-wma8enc \
	--enable-overlaysink \
	CPPFLAGS="-I${STAGING_KERNEL_DIR}/include/uapi \
		  -I${STAGING_KERNEL_DIR}/include \
		  -I${STAGING_KERNEL_DIR}/include/generated/uapi \
		  -I${STAGING_KERNEL_DIR}/drivers/staging/android/uapi \
		  -I/usr/include/hantro_dec \
		  -I/usr/include/hantro_enc"

IMX_GST1.0_PLUG_CONFIG_OPTS += --disable-x11

##

%:
	dh $@

override_dh_auto_configure:
	@$(call message,"configuring imx-gst1.0-plugin...",0,$(COLOR_CYAN),$(MSG_INVERSE))
	./autogen.sh $(IMX_GST1.0_PLUG_CONFIG_OPTS)


override_dh_auto_install:
	dh_auto_install -v --buildsystem=makefile -pimx-gst1.0-plugin  --destdir=$(IMX_GST1.0_PLUG).release


override_dh_shlibdeps:
	dh_shlibdeps -pimx-gst1.0-plugin -l/usr/lib/$(DEB_HOST_GNU_TYPE)/imx-mm/audio-codec


override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

## imx-gst1.0-plugin 4.5.6

=== debian/changelog ===
imx-gst1.0-plugin (4.5.6-1ubuntu10) focal; urgency=medium

  * Initial Boundary package
  * branch: MM_04.05.06_2008_L5.4.47
  * tag: rel_imx_5.4.47_2.2.0
  * sync g2d.h change from GTEC b4dc1b365

 -- Laci Tele <laci@boundarydevices.com>  Mon, 14 Dec 2020 04:38:57 -0800

=== debian/rules ===
--- 
+++ 
@@ -56,15 +56,18 @@
 IMX_GST1.0_PLUG_CONFIG_OPTS = $(CONFIG_OPTS) \
 	PLATFORM=$(PLATFORM) \
 	--disable-wma8enc \
-	--enable-overlaysink \
+	--disable-overlaysink \
 	CPPFLAGS="-I${STAGING_KERNEL_DIR}/include/uapi \
 		  -I${STAGING_KERNEL_DIR}/include \
 		  -I${STAGING_KERNEL_DIR}/include/generated/uapi \
 		  -I${STAGING_KERNEL_DIR}/drivers/staging/android/uapi \
-		  -I/usr/include/hantro_dec \
-		  -I/usr/include/hantro_enc"
+		  -I/usr/include/hantro_dec"
 
+#ifeq ($(USE_XWAYLAND),)
 IMX_GST1.0_PLUG_CONFIG_OPTS += --disable-x11
+#else
+#IMX_GST1.0_PLUG_CONFIG_OPTS += --enable-x11
+#endif
 
 ##

## imx-gst1.0-plugin 4.7.2

=== meson_options.txt ===
option('platform', type : 'array',
       choices : ['MX6', 'MX6QP', 'MX6SL', 'MX6SLL', 'MX6SX', 'MX6UL', 'MX7D', 'MX7ULP', 'MX8', 'MX9'], value : ['MX8'],
       description : 'build target platform')
